package cn.ibizlab.r7.runtime.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [OrgUser] 对象
 */
public interface IOrgUser {

    /**
     * 获取 [证件号]
     */
    public void setCertNo(String certNo);
    
    /**
     * 设置 [证件号]
     */
    public String getCertNo();

    /**
     * 获取 [证件号]脏标记
     */
    public boolean getCertNoDirtyFlag();
    /**
     * 获取 [组织用户名称]
     */
    public void setOrgUserName(String orgUserName);
    
    /**
     * 设置 [组织用户名称]
     */
    public String getOrgUserName();

    /**
     * 获取 [组织用户名称]脏标记
     */
    public boolean getOrgUserNameDirtyFlag();
    /**
     * 获取 [用户编号]
     */
    public void setUserCode(String userCode);
    
    /**
     * 设置 [用户编号]
     */
    public String getUserCode();

    /**
     * 获取 [用户编号]脏标记
     */
    public boolean getUserCodeDirtyFlag();
    /**
     * 获取 [建立人]
     */
    public void setCreateMan(String createMan);
    
    /**
     * 设置 [建立人]
     */
    public String getCreateMan();

    /**
     * 获取 [建立人]脏标记
     */
    public boolean getCreateManDirtyFlag();
    /**
     * 获取 [移动电话]
     */
    public void setMobilePhone(String mobilePhone);
    
    /**
     * 设置 [移动电话]
     */
    public String getMobilePhone();

    /**
     * 获取 [移动电话]脏标记
     */
    public boolean getMobilePhoneDirtyFlag();
    /**
     * 获取 [用户标识]
     */
    public void setUserId(String userId);
    
    /**
     * 设置 [用户标识]
     */
    public String getUserId();

    /**
     * 获取 [用户标识]脏标记
     */
    public boolean getUserIdDirtyFlag();
    /**
     * 获取 [建立时间]
     */
    public void setCreateDate(Timestamp createDate);
    
    /**
     * 设置 [建立时间]
     */
    public Timestamp getCreateDate();

    /**
     * 获取 [建立时间]脏标记
     */
    public boolean getCreateDateDirtyFlag();
    /**
     * 获取 [备注]
     */
    public void setMemo(String memo);
    
    /**
     * 设置 [备注]
     */
    public String getMemo();

    /**
     * 获取 [备注]脏标记
     */
    public boolean getMemoDirtyFlag();
    /**
     * 获取 [组织用户标识]
     */
    public void setOrgUserId(String orgUserId);
    
    /**
     * 设置 [组织用户标识]
     */
    public String getOrgUserId();

    /**
     * 获取 [组织用户标识]脏标记
     */
    public boolean getOrgUserIdDirtyFlag();
    /**
     * 获取 [登录名]
     */
    public void setLoginName(String loginName);
    
    /**
     * 设置 [登录名]
     */
    public String getLoginName();

    /**
     * 获取 [登录名]脏标记
     */
    public boolean getLoginNameDirtyFlag();
    /**
     * 获取 [是否启用]
     */
    public void setEnable(Integer enable);
    
    /**
     * 设置 [是否启用]
     */
    public Integer getEnable();

    /**
     * 获取 [是否启用]脏标记
     */
    public boolean getEnableDirtyFlag();
    /**
     * 获取 [性别]
     */
    public void setSex(String sex);
    
    /**
     * 设置 [性别]
     */
    public String getSex();

    /**
     * 获取 [性别]脏标记
     */
    public boolean getSexDirtyFlag();
    /**
     * 获取 [更新时间]
     */
    public void setUpdateDate(Timestamp updateDate);
    
    /**
     * 设置 [更新时间]
     */
    public Timestamp getUpdateDate();

    /**
     * 获取 [更新时间]脏标记
     */
    public boolean getUpdateDateDirtyFlag();
    /**
     * 获取 [更新人]
     */
    public void setUpdateMan(String updateMan);
    
    /**
     * 设置 [更新人]
     */
    public String getUpdateMan();

    /**
     * 获取 [更新人]脏标记
     */
    public boolean getUpdateManDirtyFlag();
    /**
     * 获取 [证件类型]
     */
    public void setCertType(String certType);
    
    /**
     * 设置 [证件类型]
     */
    public String getCertType();

    /**
     * 获取 [证件类型]脏标记
     */
    public boolean getCertTypeDirtyFlag();
    /**
     * 获取 [组织名称]
     */
    public void setOrgName(String orgName);
    
    /**
     * 设置 [组织名称]
     */
    public String getOrgName();

    /**
     * 获取 [组织名称]脏标记
     */
    public boolean getOrgNameDirtyFlag();
    /**
     * 获取 [组织标识]
     */
    public void setOrgId(String orgId);
    
    /**
     * 设置 [组织标识]
     */
    public String getOrgId();

    /**
     * 获取 [组织标识]脏标记
     */
    public boolean getOrgIdDirtyFlag();
}
